package smart_gs.swingui.toolbar.action;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.swingui.AbstractGSWindow;

public class ReloadLinesActionListener implements ActionListener {
	private AbstractGSWindow parent;

	public ReloadLinesActionListener(AbstractGSWindow parent) {
		this.parent = parent;
	}

	@Override
	public void actionPerformed(ActionEvent arg0) {
		if (this.parent.getSpread()  == null) return;
		this.parent.getSpread().clearLines();
		this.parent.getSpread().loadLines();
		this.parent.getSpread().loadLinesForDsc();
		this.parent.validate();
		this.parent.repaint();
	}

}
